#pragma once
#include "Screen.h"
#include "Player.h"

class PlaybackScreen : public Screen
{
    typedef Screen parent;

    Player::BeatIndex beatDisplayOffset;

public:

    midi::Launchpad::KeyCoordinate beatDisplayWidth = midi::Launchpad::width - 1;

    PlaybackScreen(Sequencer& seq);
    
    void enable();

    void beforeBeat(Player::BeatIndex beat);
    void afterBeat(Player::BeatIndex beat);

protected:

	virtual void keyPressed(unsigned char x, unsigned char y);
	virtual void keyReleased(unsigned char x, unsigned char y);

    virtual void refresh(unsigned char x, unsigned char y);

};
	
