#pragma once
#include "Sequencer.h"
#include "midi/BeatSequencePlayer.h"

class Sequencer;

class Player : public midi::BeatSequencePlayer
{
public:
    Sequencer& sequencer;

    Player(midi::Output* out, const midi::BeatSequence* sequence, Sequencer& sequencer);

protected:
    virtual void beforeBeat(BeatIndex beat);
    virtual void afterBeat(BeatIndex beat);
};

