#pragma once
#include "Sequencer.h"
#include "Player.h"
#include "midi/LaunchpadScreen.h"

class Sequencer;

class Screen : public midi::LaunchpadScreen
{
    typedef midi::LaunchpadScreen parent;

public:

    Sequencer& sequencer;

    Screen(Sequencer& seq);

protected:

    virtual void refresh(unsigned char x, unsigned char y) = 0;
    void refreshAll();

};
